Bug 1465818 - Update eclipse-testng to at least 6.11.0
Update eclipse-testng to at least 6.11.0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse-testng (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Boldt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-28 05:40 EDT by Mat Booth
Modified: 2017-08-31 18:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: eclipse-testng-6.12.0-0.1.gitf991e16.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-31 18:52:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mat Booth 2017-06-28 05:40:42 EDT
Package is currently at 6.9.13, it should probably be updated to at least 6.11.0.
Comment 1 Mat Booth 2017-07-05 04:42:15 EDT
Package "testng" is updated to 6.11 and package "testng-remote" is updated to 1.2.1
Comment 2 Nick Boldt 2017-07-19 14:18:45 EDT
I've only managed to get this to compile for F27/rawhide. 

https://koji.fedoraproject.org/koji/taskinfo?taskID=20616357 (scratch)
https://koji.fedoraproject.org/koji/taskinfo?taskID=20616368 (for-reals)

For earlier versions I get:

* F26: conflict in the F26 mock re: libcrypt-nss / libcrypt - not sure how to solve:

DEBUG util.py:435:  Error: libcrypt-nss conflicts with libcrypt-2.25-7.fc26.x86_64
DEBUG util.py:435:  Error: libcrypt conflicts with libcrypt-nss-2.25-7.fc26.x86_64

* F25/F24: compilation error which I thought I fixed with this patch [1], but didn't work 

Patch #2 (eclipse-testng-add-missing-catches.patch):
+ echo 'Patch #2 (eclipse-testng-add-missing-catches.patch):'
+ /usr/bin/patch --no-backup-if-mismatch -p1 --fuzz=0
patching file testng-eclipse-plugin/src/main/org/testng/eclipse/refactoring/ConvertToYamlAction.java
patching file testng-eclipse-plugin/src/main/org/testng/eclipse/util/CustomSuite.java
Hunk #1 succeeded at 14 (offset -1 lines).
Hunk #2 FAILED at 30.
Hunk #3 succeeded at 232 (offset 2 lines).
1 out of 3 hunks FAILED -- saving rejects to file testng-eclipse-plugin/src/main/org/testng/eclipse/util/CustomSuite.java.rej

[1] https://github.com/cbeust/testng-eclipse/pull/343
Comment 3 Nick Boldt 2017-07-20 09:11:32 EDT
A better solution was proposed on my testng-eclipse PR - using a more generic Exception catch. I'll try that approach next. 

https://github.com/cbeust/testng-eclipse/pull/343#pullrequestreview-51104392
Comment 4 Jan Kurik 2017-08-15 05:22:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 5 Fedora Update System 2017-08-23 20:35:52 EDT
testng-6.9.12-5.fc26 eclipse-testng-6.12.0-0.1.gitf991e16.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a646e146b7
Comment 6 Fedora Update System 2017-08-24 00:50:56 EDT
eclipse-testng-6.12.0-0.1.gitf991e16.fc26, testng-6.9.12-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a646e146b7
Comment 7 Fedora Update System 2017-08-31 18:52:35 EDT
eclipse-testng-6.12.0-0.1.gitf991e16.fc26, testng-6.9.12-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.